Passer au contenu principal
POST
/
automation
/
sequences
/
2026-03
/
enrollments
Enroll a contact into a sequence
curl --request POST \
  --url https://api.hubapi.com/automation/sequences/2026-03/enrollments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contactId": "<string>",
  "senderEmail": "<string>",
  "sequenceId": "<string>",
  "senderAliasAddress": "<string>"
}
'
{
  "enrolledAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "toEmail": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de requête

userId
string
requis

The unique identifier of the user performing the enrollment. This parameter is required.

Corps

application/json
contactId
string
requis

The unique identifier of the contact to be enrolled in the sequence.

senderEmail
string
requis

The email address of the sender enrolling the contact in the sequence.

sequenceId
string
requis

The unique identifier of the sequence in which the contact will be enrolled.

senderAliasAddress
string

The alias email address used by the sender when enrolling the contact.

Réponse

successful operation

enrolledAt
string<date-time>
requis

The date and time when the contact was enrolled in the sequence.

id
string
requis

The unique identifier for the sequence enrollment.

toEmail
string
requis

The email address of the contact enrolled in the sequence.

updatedAt
string<date-time>
requis

The date and time when the sequence enrollment was last updated.

Last modified on April 2, 2026